umbrello: UMLDocFinder Class Reference

umbrello 2.34.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Slots | Public Member Functions | Protected Attributes | List of all members
UMLDocFinder Class Reference

`#include <umldocfinder.h>`

Inheritance diagram for UMLDocFinder:

## Public Slots
virtual Result | displayNext ()
virtual Result | displayPrevious ()

## Public Member Functions
| UMLDocFinder ()
virtual | ~UMLDocFinder ()
virtual int | collect (Category category, const QString &text)
Public Member Functions inherited from UMLFinder
| UMLFinder ()
virtual | ~UMLFinder ()
virtual int | collect (Category category, const QString &text)=0
virtual Result | displayNext ()=0
virtual Result | displayPrevious ()=0

## Protected Attributes
QList< UMLSceneFinder > | m_sceneFinder
Protected Attributes inherited from UMLFinder
int | m_index
QList< Uml::ID::Type > | m_items

## Additional Inherited Members
Public Types inherited from UMLFinder
enum | Category { All , Classes , Packages , Interfaces , Operations , Attributes }
enum | Filter { TreeView , CurrentDiagram , AllDiagrams }
enum | Result { Empty , End , Found , NotFound }
Protected Member Functions inherited from UMLFinder
bool | includeObject (Category category, UMLObject *o)

## Detailed Description

UMLDocFinder provides finding of items for all diagrams in a document

Author
  : Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Constructor & Destructor Documentation

## ◆ UMLDocFinder()

UMLDocFinder::UMLDocFinder | ( |  | ) |

## ◆ ~UMLDocFinder()

UMLDocFinder::~UMLDocFinder | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ collect()

int UMLDocFinder::collect | ( | Category | category,
|  | const QString & | text
| ) |  |
| virtual

Collect items limited by a category and a text

Parameters

  category | Category to search for
  text | Text to search for

Returns
  Number of items found

Implements UMLFinder.

## ◆ displayNext

UMLFinder::Result UMLDocFinder::displayNext | ( |  | ) |
| virtualslot

## ◆ displayPrevious

UMLFinder::Result UMLDocFinder::displayPrevious | ( |  | ) |
| virtualslot

## Member Data Documentation

## ◆ m_sceneFinder

QList<UMLSceneFinder> UMLDocFinder::m_sceneFinder
| protected

The documentation for this class was generated from the following files:

- umbrello/finder/umldocfinder.h
- umbrello/finder/umldocfinder.cpp